Artifacts
Generate Client Code
Generates Python client code to download the Artifact version.
GET
/
artifacts
/
v1
/
artifacts
/
{artifact-id}
/
versions
/
{execution-name}
/
code
Generate Client Code
curl --request GET \
--url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/codeimport requests
url = "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"client_code": "<string>",
"$schema": "https://example.com/schemas/ClientCodeArtifactDownload.json"
}{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Artifact ID
Name of the execution that produced the artifact
Query Parameters
If provided, generated code will download just this file within the Artifact
Local directory to download the Artifact to. If omitted, client code uses default.
Project of the workflow execution that produced the artifact
Domain of the workflow execution that produced the artifact
Last modified on August 19, 2026
Was this page helpful?
⌘I
Generate Client Code
curl --request GET \
--url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/codeimport requests
url = "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"client_code": "<string>",
"$schema": "https://example.com/schemas/ClientCodeArtifactDownload.json"
}{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}